DOKU Malaysia API Reference
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
Home
Products
Products
  • Checkout
  • Payment
  • Cards Payment
DOKU Docs
  1. Cards Payment
  • Introduction
  • Getting Started
    • Create Account
    • Make your first API call
    • Authentication & API Keys
  • Checkout
    • Overview
    • Create Checkout
      POST
    • Retrieve Checkout Status
      GET
  • Payment
    • Overview
    • Create Payment
      POST
    • Get Bank List - FPX
      POST
    • Retrieve Payment Status
      GET
  • Cards Payment
    • Overview
    • Payment Form
      • Request Payment
    • Host-to-Host Payment
      • Check Three D Secure
      • Charge Payment
      • Capture Authorized Payment
    • Request Refund
      POST
    • Unbind Token
      POST
    • Check Status
      GET
  • Payout
    • Overview
    • Inquire Beneficiary Account
      POST
    • Send Payout
      POST
    • Read Payout Status
      GET
    • Read Available Balance
      GET
  • Notification
    • Overview
    • Retry Notification
    • Setup Notification URL
    • Sample Notification - Global
      POST
    • Sample Notification - Cards
      POST
  • Technical Reference
    • Authentication & Integrity
    • Idempotency
    • Data Type
    • Order & Transaction Status
    • Postman Collection
    • Response Code
      • Error Code
      • Payout Response Code
      • Credit Card Acquirer Response Code
    • API Version
      • Create Checkout
      • Create Payment
      • Get Bank List - FPX
      • Retrieve Checkout
      • Retrieve Payment
      • Inquire Beneficiary Account
      • Send Payout
      • Read Payout Status
      • Read Available Balance
    • Signature
      • Signature - Global
        • Prepare Signature Component
        • Generating Signature
        • Validating Signature
        • Sample Code
      • Signature - Cards Payment API
        • Signature Component from Response Header
        • Signature from API Get Method
        • Sample Code
        • Signature Component from Request Header
  1. Cards Payment

Check Status

GET
/orders/v1/status/order.invoice_number
Environment
Sandbox - https://api-sandbox.doku.com
Production - https://api.doku.com
Hit Check Status after 60 seconds after payment completion!
Please ensure your application is already hit after 60 seconds after payment completion.
Input your order.invoice_number or Request-Id as an identifier
To get the status of your refund, please use refund.request_id as an identifier

Request

Authorization
API Key
Add parameter in header
Signature
Example:
Signature: ********************
API Key
Add parameter in header
Client-Id
Example:
Client-Id: ********************
Basic Auth
Send your HTTP requests with an
Authorization
header that contains the word Basic followed by a space and a base64-encoded string username:password
Example:
Authorization: Basic *****************
or
Header Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/orders/v1/status/order.invoice_number' \
--header 'Request-Id: e71fe02a-bfef-4af9-a6f6-2cf1f03b00e7' \
--header 'Request-Timestamp: 2020-11-18T08:45:42Z' \
--header 'Signature: <api-key>' \
--header 'Client-Id: <api-key>' \
--header 'Authorization: Basic <encoded-value>'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "order": {
        "invoice_number": "INV-AD1755247176",
        "amount": 2,
        "currency": "MYR"
    },
    "transaction": {
        "status": "PENDING",
        "type": "SALE",
        "date": "2025-08-15T08:41:05Z",
        "original_request_id": "6602783a-ae56-442c-ac33-fa1c24964bde"
    },
    "service": {
        "id": "CREDIT_CARD"
    },
    "acquirer": {
        "id": "OCBC",
        "name": "OCBC BANK (MALAYSIA) BERHAD"
    },
    "channel": {
        "id": "CREDIT_CARD"
    },
    "card_payment": {
        "card_masked": "444000******0010",
        "request_id": "6602783a-ae56-442c-ac33-fa1c24964bde",
        "card_type": "VISA",
        "issuer": "OCBC BANK (MALAYSIA) BERHAD",
        "transaction_status": "REDIRECT",
        "brand": "VISA",
        "date": "2025-08-15T08:41:05Z"
    }
}
Modified at 2026-10-14 07:26:21
Previous
Unbind Token
Next
Overview
Built with